# Publications - structured data
# Used by layouts/page/publications.html

book:
  title:
    fr: "Kubernetes : 50 solutions pour les postes de développement et les clusters de production"
    en: "Kubernetes: 50 Solutions for Development Workstations and Production Clusters"
  publisher: "Eyrolles"
  url: "https://www.editions-eyrolles.com/livre/kubernetes"
  site: "https://50ndk.zwindler.fr/"
  year: 2024
  description:
    fr: "Un guide pratique couvrant 50 manières différentes d'instancier des clusters Kubernetes, du poste de développement à la production."
    en: "A practical guide covering 50 different ways to instantiate Kubernetes clusters, from development workstations to production."

articles:
  - title: "Un cluster Kubernetes sur Raspberry Pi Zero 2W, vraiment"
    magazine: "Sysops Pratique"
    issue: "LP-154"
    year: 2026
    url: "https://connect.ed-diamond.com/linux-pratique/lp-154/un-cluster-kubernetes-sur-raspberry-pi-zero-2w-vraiment"
    blog_post: "/2026/03/09/kubesolo-raspberry-pi-zero-sysops-pratique/"
    description:
      fr: "Comment faire tourner KubeSolo (par Portainer) sur un Raspberry Pi Zero 2 W avec 512 Mo de RAM."
      en: "How to run KubeSolo (by Portainer) on a Raspberry Pi Zero 2 W with 512 MB of RAM."

  - title: "En finir avec les Makefiles en Go avec GoReleaser"
    magazine: "GNU/Linux Magazine"
    issue: "GLMF-265"
    year: 2023
    url: "https://connect.ed-diamond.com/gnu-linux-magazine/glmf-265/en-finir-avec-les-makefiles-en-go-avec-goreleaser"
    description:
      fr: "Comment remplacer les Makefiles par GoReleaser pour les projets Go."
      en: "How to replace Makefiles with GoReleaser for Go projects."
